/*
 * Class SEQUENCE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_359 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_359 [] = {0xFF01,237,358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_359 [] = {0xFF01,358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_359 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_359 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_359 [] = {0xFF01,358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_359 [] = {0xFF01,358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_359 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_359 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_359 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_359 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_359 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_359 [] = {358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_359 [] = {0xFF01,358,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_359 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_359 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_359 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_359 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_359 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_359[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_359), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_359), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_359), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_359), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_359), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_359), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_359), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_359), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_359), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_359), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_359), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_359), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_359), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_359), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_359), 2310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_359), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_359), 2303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_359), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2524, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2525, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_359), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init359(void)
{
	IDSC(desc_359, 0, 358);
	IDSC(desc_359 + 1, 1, 358);
	IDSC(desc_359 + 32, 77, 358);
	IDSC(desc_359 + 41, 155, 358);
	IDSC(desc_359 + 50, 30, 358);
	IDSC(desc_359 + 57, 282, 358);
	IDSC(desc_359 + 66, 243, 358);
	IDSC(desc_359 + 72, 229, 358);
	IDSC(desc_359 + 73, 294, 358);
	IDSC(desc_359 + 76, 237, 358);
	IDSC(desc_359 + 78, 50, 358);
	IDSC(desc_359 + 79, 35, 358);
}


#ifdef __cplusplus
}
#endif
